net.i2p.util

## Enum AddressType

- java.lang.Object
- - java.lang.Enum<AddressType>
  - - net.i2p.util.AddressType

- All Implemented Interfaces:
    Serializable, Comparable<AddressType>

      public enum AddressType
      extends Enum<AddressType>

  Enumeration of supported address types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IPV4` IPv4 address type
    `IPV6` IPv6 address type
    `YGG` Yggdrasil address type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddressType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AddressType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPV4

          public static final AddressType IPV4

      IPv4 address type

    - #### IPV6

          public static final AddressType IPV6

      IPv6 address type

    - #### YGG

          public static final AddressType YGG

      Yggdrasil address type

  - ### Method Detail

    - #### valueOf

          public static AddressType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static AddressType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AddressType c : AddressType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared